Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004165OCamlCamlp4public2006-11-17 05:002007-02-21 15:46
Reporterpietro 
Assigned Toertai 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version3.09.2 
Target VersionFixed in Version3.10+dev 
Summary0004165: private rows syntax does not work
DescriptionI've this snippet of code:

----------
type st = [ `A ]

module Make(T: sig type t end with type t = private [> st ] )
= struct
  let test = 1
end
-----------

it compiles fine with ocamlc , but it fails with camlp4 ...

ocamlfind ocamlc -c -pp "camlp4o -I . pa_extend.cmo q_MLast.cmo " -I
/usr/lib/ocaml/3.09.2/camlp4 pr.ml
File "pr.ml", line 4, characters 44-51:
Parse error: [type] expected after '=' (in [with_constr])
Uncaught exception: Stream.Error("[type] expected after '=' (in
[with_constr])")
Preprocessor error
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003848)
ertai (developer)
2006-11-20 10:16

Already fixed in the CVS (wait for the 3.10 release)

- Issue History
Date Modified Username Field Change
2006-11-17 05:00 pietro New Issue
2006-11-20 10:16 ertai Note Added: 0003848
2006-11-20 10:16 ertai Assigned To => ertai
2006-11-20 10:16 ertai Status new => resolved
2006-11-20 10:16 ertai Resolution open => no change required
2007-02-21 15:46 xleroy Status resolved => closed
2007-02-21 15:46 xleroy Fixed in Version => 3.10+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker